<template>
    <view :class="'custom-class ' + utils.bem('goods-action', { safe: safeAreaInsetBottom })">
        <slot />
    </view>
</template>
<script module="utils" lang="wxs" src="@/node_modules/@vant/weapp/dist/wxs/utils.wxs"></script>
<script>
import { VantComponent } from '../common/component';
export default {
    data() {
        return {};
    },
    '../goods-action-button/index': {
        type: 'descendant',
        name: 'goods-action-button',
        current: 'goods-action',

        linked() {
            this.updateStyle();
        },

        unlinked() {
            this.updateStyle();
        },

        linkChanged() {
            this.updateStyle();
        }
    },
    props: {
        safeAreaInsetBottom: {
            type: Boolean,
            default: true
        }
    },
    methods: {
        updateStyle() {
            this.$nextTick(() => {
                this.children.forEach((child) => {
                    child.updateStyle();
                });
            });
        }
    }
};
</script>
<style>
@import './index.css';
</style>
